﻿using UnityEngine;
using System.Collections;

public class Player : MonoBehaviour
{

	Vector3 moveInput;
	float moveSpeed = 5f;
	Rigidbody myRigidbody;

	void Start ()
	{
		myRigidbody = GetComponent<Rigidbody> ();
	}

	void Update ()
	{
		// 移動入力
		moveInput = new Vector3 (Input.GetAxisRaw ("Horizontal"), 0f, Input.GetAxisRaw ("Vertical"));

		// 向き
		Ray ray = Camera.main.ScreenPointToRay (Input.mousePosition);
		float rayDistance;
		Plane ground = new Plane (Vector3.up, Vector3.zero); // XZ平面
		if (ground.Raycast (ray, out rayDistance)) {
			Vector3 point = ray.GetPoint (rayDistance);
			Vector3 heightCorrectedPoint = new Vector3 (point.x, transform.position.y, point.z);
			transform.LookAt (heightCorrectedPoint);
		}
	}

	void FixedUpdate ()
	{
		var velocity = moveInput.normalized * moveSpeed;
		myRigidbody.MovePosition (transform.position + velocity * Time.fixedDeltaTime);
	}
}
